Airport Utility 6.3.1 No Support For Older Airport Snow, Extreme And Express

At time of writing the Airport Utility 6.3.2 (6.3.1 on Mac OS 10.8.5 Mountain Lion) is the latest version of the main administration tool that enables Mac users to communicate with their Apple wireless access points and routers.

The Airport Utility has traditionally been located in the /Applications/Utility/ folder across each Mac OS X release.

This formed a perfect union, where Apple Airport devices were incomplete without Airport Utility.

Since the first Mac OS 10.0, Cheetah, up until Mac OS 10.7 Lion, Apple has meticulously ensured that all versions of their Airport Utility remained backward compatible to all their previously produced range of Apple Airport devices.

However, it is with great disappointment that we report that since 2011, either by a deliberate move or an oversight, Apple has dropped support for a vast range of its previous Apple Airport devices.

airportutilkaput

Airport Utility 5.6 is the last version of Airport Utility that maintained support for Apple Airport Snow, Airport Extreme built prior to January 2007 and 1st generation Express. All subsequent versions of Airport Utility no longer communicated with the above mentioned models of Apple wireless access points and routers.

airporteol

This effectively, left Mac users with little choice other than (1) not updating their Mac OS X beyond 10.7 Lion because Airport Utility 5.6 cannot be installed on any Mac OS later than Lion or; (2) replacing all their existing ‘legacy’ Apple wireless access points and routers with their new incarnations:

airport2014Despite the internet being awash with pleas and petitions for Apple to re-incorporate communication between Airport Utility and legacy Airport devices, it appears obvious that Apple does not seem keen to comply and is using its software to push its user base forward.

This seems to be the trend and main driver that Apple has been using and is continuing to use to push their user base in the direction that they want. A good example of Apple employing the age old ‘bait and switch’ ploy using new software as the inducement, is best exemplified when Mac OS 10.9 Mavericks was offered completely free.

For most, it was only after the giddy excitement of receiving a spanking new Mac OS X for nothing simmered down that they realised that they were trapped without an easy option to revert to earlier Mac OS 10.8 Mountain Lion after discovering that Apple had removed the ability to locally sync their iOS devices’ Contacts and Calendars. Instead, Mavericks now forced all Contacts and Calendar syncing through Apple’s iCloud service.

As long time Mac aficionados, we cannot help but question whether Apple itself has inadvertently begun to grow into the  behemoth it pictured Microsoft to be when they first came out in a big way with their infamous 1984 advertisement?

Come on Apple… bring back support for all the Airports we still have proudly installed and working around our homes and offices… they are things of beauty that are too good to dispose. Heck, its a testament to Apple’s legendary quality and reliability that a lot of us still have perfectly functional legacy Airport devices.

4 Comments on "Airport Utility 6.3.1 No Support For Older Airport Snow, Extreme And Express"

  1. Phil Harvey | 12 March, 2015 at 01:33 | Reply

    Sorry. Ignore my last comment. The dialup works again with Yosemite, but the AirPort Admin application doesn’t. 🙁

  2. Phil Harvey | 12 March, 2015 at 01:30 | Reply

    It seems that Apple has added back this ability. I can now get my AirPort Extreme to dial up again from the AirPort menu bar icon in Yosemite. Surprise.

  3. Thanks Phil! For details (and an easy way) for just how to do what Phil is referring to check out Corey J. Mahler’s solution (Thank heaps Corey!!). For Mountain Lion we also tried simply downloading and installing Apple Airport Utility 5.6.1 and launched it – so far it seems to work without requiring patching system libraries or using Corey’s Launcher assist app.

  4. I was able to keep my old airport admin application running with Mavericks (by replacing a few of the system libraries), so I could still control my old Airport Snow base station. I need this base station because it was the last one Apple made that supported dialup. Unfortunately though, this same trick doesn’t work for Yosemite. So I will need to keep an older system around just for this.

Leave a comment

Your email address will not be published.


*


Complete following math equation * Time limit is exhausted. Please reload CAPTCHA.